"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArrayField = void 0;
const model_1 = require("./model");
/**
 * @extends FieldModel
 */
class ArrayField extends model_1.FieldModel {
    /**
     * Array field
     * @param {FieldModelOptions} [options] The Field Model Options
     */
    constructor(model, options) {
        super(options);
        this.model = model;
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    validate(value) {
        if (!Array.isArray(value)) {
            throw new TypeError("'value' must be an 'array'");
        }
        value.forEach((val) => {
            this.model.validate(val);
        });
        return true;
    }
}
exports.ArrayField = ArrayField;
