"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanField = void 0;
const model_1 = require("./model");
/**
 * @extends FieldModel
 */
class BooleanField extends model_1.FieldModel {
    /**
     * Boolean field
     * @param {FieldModelOptions} [options] The options
     */
    constructor(options) {
        super(options);
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    validate(value) {
        if (typeof value !== "boolean") {
            throw new TypeError("'value' must be a 'boolean'");
        }
        return true;
    }
}
exports.BooleanField = BooleanField;
