"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NullableField = void 0;
const model_1 = require("./model");
/**
 * @extends FieldModel
 */
class NullableField extends model_1.FieldModel {
    /**
     * The nullable field
     * @param {FieldModel} model the field model
     */
    constructor(model) {
        super(model.options);
        this.model = model;
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    validate(value) {
        if (value) {
            return this.model.validate(value);
        }
        if (![null, undefined].includes(value)) {
            throw new TypeError(`value '${value}' is not 'null' or 'undefined'`);
        }
    }
}
exports.NullableField = NullableField;
