"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberField = void 0;
const model_1 = require("./model");
/**
 * @extends FieldModel
 */
class NumberField extends model_1.FieldModel {
    /**
     * The number field
     * @param {FieldModelOptions} [options] Field model options
     */
    constructor(options) {
        super(options);
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    validate(value) {
        if (typeof value !== "number") {
            throw new TypeError("'value' must be a 'number'");
        }
        return true;
    }
}
exports.NumberField = NumberField;
