"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringField = void 0;
const model_1 = require("./model");
/**
 * @extends FieldModel
 */
class StringField extends model_1.FieldModel {
    /**
     * The string field
     * @param {FieldModelOptions} [options] The field model options
     */
    constructor(options) {
        super(options);
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    validate(value) {
        if (typeof value !== "string") {
            throw new TypeError("'value' must be an 'string'");
        }
        return true;
    }
}
exports.StringField = StringField;
