"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldModel = void 0;
class FieldModel {
    /**
     * The field model
     * @param {FieldModelOptions} [options] Field model options
     */
    constructor(options) {
        this.options = options;
        /**
         * The field model options
         * @name FieldModel#options
         * @readonly
         * @type {FieldModelOptions}
         */
    }
    /**
     * Creates value
     * @param {any} value The value
     * @returns {any}
     */
    create(value) {
        this.validate(value);
        return value;
    }
    /**
     * Validates the data
     * @param {any} value The value to validate
     * @returns {boolean}
     */
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    validate(value) {
        throw new Error("Unimplemented");
    }
}
exports.FieldModel = FieldModel;
